package com.brilliance.isc.common.api.liaccv.service;

import com.brilliance.isc.common.api.liaccv.vo.LiaccvRequest;
import com.brilliance.isc.common.api.liaccv.vo.LiaccvResponse;
import com.brilliance.isc.common.liaccv.vo.LiaccvAcctVo;
import com.brilliance.isc.common.vo.FcdVo;

import java.util.List;

public interface LiaccvApiService {

    LiaccvResponse calcLiaccv(LiaccvRequest liaccvRequest);

    LiaccvResponse addLiaccvg(LiaccvRequest liaccvRequest);

    LiaccvResponse deleteLiaccvg(LiaccvRequest liaccvRequest);

    List<FcdVo> getFcdList(LiaccvRequest liaccvRequest);

    LiaccvAcctVo getLiaccvAccountInfo(String account);
}
